Get a list of Players for a specific Team or Event

GET
/players/
apiKey<token>

Your API key

In: query

Query Parameters

teamID?string

TeamID to get Players data for

eventID?string

EventID to get Players data for

playerID?string

PlayerID to get data for

limit?number

The maximum number of Players to return

cursor?string

The cursor for the request. Used to get the next group of Players. This is an opaque token — pass the nextCursor value from the prior response unchanged.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.sportsgameodds.com/v2/players/?teamID=KANSAS_CITY_CHIEFS_NFL&eventID=mXCZTRJnbX8ib64z1h3D&playerID=PATRICK_MAHOMES_SAN_FRANCISCO_49ERS_NFL&limit=25&cursor=eyJhbGciOiJIUzI1NiJ9..."
{
  "success": true,
  "data": [
    {
      "sportID": "BASEBALL",
      "leagueID": "MLB",
      "jerseyNumber": 31,
      "position": "RF",
      "playerID": "HENRY_RAMOS_1_MLB",
      "names": {
        "display": "Henry Ramos",
        "firstName": "Henry",
        "lastName": "Ramos"
      },
      "aliases": [
        "HENRY_RAMOS_CINCINNATI_REDS_MLB"
      ],
      "teamID": "",
      "birthday": "1992-04-15"
    }
  ]
}
{
  "error": "An error message",
  "success": false
}
{
  "error": "An error message",
  "success": false
}
{
  "error": "An error message",
  "success": false
}
{
  "error": "An error message",
  "success": false
}
{
  "error": "An error message",
  "success": false
}